/* Accordion transition styles */
.e-collection-loop-layout-base .accordion--item-wrapper {
  transition: border-color 0.3s ease;
}

/* Base style for question */
.e-collection-loop-layout-base .accordion--question {
  border: none;
}
.e-collection-loop-layout-base .accordion--question:hover {
  border: none;
}

.e-collection-loop-layout-base .accordion--question:focus {
  border: none;
}

.e-collection-loop-layout-base .accordion--chevron-open svg,
.e-collection-loop-layout-base .accordion--chevron-close svg {
  stroke: var(--dark-blue);
}


/* Base style for accordion content area */
.e-collection-loop-layout-base .accordion--answer {
  max-height: 0;
  overflow: hidden;
  padding: 0 1.5rem;
  transition: max-height 0.3s ease, padding 0.3s ease;
}

/* When the accordion item is active */
.e-collection-loop-layout-base .accordion--item-wrapper.is-active .accordion--answer {
  max-height: 500px; /* Large enough to fit content */
  padding: 1rem 1.5rem 1.5rem 1.5rem;
}

/* Chevron icons toggling */
.e-collection-loop-layout-base .accordion--chevron-open,
.e-collection-loop-layout-base .accordion--chevron-close {
  transition: transform 0.3s ease, opacity 0.3s ease;
}

/* Initially, closed chevron is hidden, open chevron is shown */
.e-collection-loop-layout-base .accordion--item-wrapper .accordion--chevron-open {
  display: block;
  opacity: 1;
}
.e-collection-loop-layout-base .accordion--item-wrapper .accordion--chevron-close {
  display: none;
  opacity: 0;
}

/* Toggled state icons */
.e-collection-loop-layout-base .accordion--item-wrapper.is-active .accordion--chevron-open {
  display: none;
  opacity: 0;
}
.e-collection-loop-layout-base .accordion--item-wrapper.is-active .accordion--chevron-close {
  display: block;
  opacity: 1;
}
